Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class NuovoDipendenteRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.NuovoDipendenteRequest

    public class NuovoDipendenteRequest

extends java.lang.Object

Richiesta per il servizio setNuovoDipendente.

Field Summary
`private CostoTotaleMensileLordo` | `costoTotale` Costo totale mensile lordo.
`private java.lang.String` | `dataNominaRuoloRegionale` Data di decorrenza della nomina nei Ruoli Nominativi Regionali del Personale del Servizio Sanitario Regionale.
`private java.lang.String` | `dataPubblicoImpiego` Data di inizio del rapporto di pubblico impiego con il Servizio Sanitario Regionale.
`private DatiAnagraficiDipendente` | `datiAnagrafici` Dati anagrafici del dipendente.
`private DatiInquadramentoContrattuale` | `datiInquadramentoContrattuale` Dati inquadramento contrattuale.
`private DatiRapportoLavoro` | `datiRapportoLavoro` Dati del rapporto di lavoro.
`private DatiSedeLavoro` | `datiSedeDiLavoro` Dati della sede di lavoro.
`private ElencoSpecializzazione` | `elencoSpecializzazioni` Elenco delle specializzazioni possedute dal dipendente.
`private ElencoTitoloDiStudio` | `elencoTitoliDiStudio` Titolo di studio posseduto dal dipendente.
`private long` | `numMatricola` Numero di matricola del dipendente.

Constructor Summary
`NuovoDipendenteRequest()`

Method Summary
`CostoTotaleMensileLordo` | `getCostoTotale()`
`java.lang.String` | `getDataNominaRuoloRegionale()`
`java.lang.String` | `getDataPubblicoImpiego()`
`DatiAnagraficiDipendente` | `getDatiAnagrafici()`
`DatiInquadramentoContrattuale` | `getDatiInquadramentoContrattuale()`
`DatiRapportoLavoro` | `getDatiRapportoLavoro()`
`DatiSedeLavoro` | `getDatiSedeDiLavoro()`
`ElencoSpecializzazione` | `getElencoSpecializzazioni()`
`ElencoTitoloDiStudio` | `getElencoTitoliDiStudio()`
`long` | `getNumMatricola()`
`void` | `setCostoTotale(CostoTotaleMensileLordo costoTotale)`
`void` | `setDataNominaRuoloRegionale(java.lang.String dataNominaRuoloRegionale)`
`void` | `setDataPubblicoImpiego(java.lang.String dataPubblicoImpiego)`
`void` | `setDatiAnagrafici(DatiAnagraficiDipendente datiAnagrafici)`
`void` | `setDatiInquadramentoContrattuale(DatiInquadramentoContrattuale datiInquadramentoContrattuale)`
`void` | `setDatiRapportoLavoro(DatiRapportoLavoro datiRapportoLavoro)`
`void` | `setDatiSedeDiLavoro(DatiSedeLavoro datiSedeDiLavoro)`
`void` | `setElencoSpecializzazioni(ElencoSpecializzazione elencoSpecializzazioni)`
`void` | `setElencoTitoliDiStudio(ElencoTitoloDiStudio elencoTitoliDiStudio)`
`void` | `setNumMatricola(long numMatricola)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numMatricola

    @Facets(totalDigits=10L,
            minInclusive=1L)
    @MinOccurs(value=1L)
    private long numMatricola

  Numero di matricola del dipendente.

### datiAnagrafici

    @MinOccurs(value=1L)
    private DatiAnagraficiDipendente datiAnagrafici

  Dati anagrafici del dipendente.

### elencoTitoliDiStudio

    @MinOccurs(value=0L)
    @MaxOccurs(value=3L)
    private ElencoTitoloDiStudio elencoTitoliDiStudio

  Titolo di studio posseduto dal dipendente.

### elencoSpecializzazioni

    @MinOccurs(value=0L)
    @MaxOccurs(value=2L)
    private ElencoSpecializzazione elencoSpecializzazioni

  Elenco delle specializzazioni possedute dal dipendente.

### dataPubblicoImpiego

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataPubblicoImpiego

  Data di inizio del rapporto di pubblico impiego con il Servizio Sanitario Regionale.

### dataNominaRuoloRegionale

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataNominaRuoloRegionale

  Data di decorrenza della nomina nei Ruoli Nominativi Regionali del Personale del Servizio Sanitario Regionale.

### datiRapportoLavoro

    @MinOccurs(value=1L)
    private DatiRapportoLavoro datiRapportoLavoro

  Dati del rapporto di lavoro.

### datiInquadramentoContrattuale

    @MinOccurs(value=1L)
    private DatiInquadramentoContrattuale datiInquadramentoContrattuale

  Dati inquadramento contrattuale.

### datiSedeDiLavoro

    @MinOccurs(value=1L)
    private DatiSedeLavoro datiSedeDiLavoro

  Dati della sede di lavoro.

### costoTotale

    @MinOccurs(value=0L)
    @MaxOccurs(value=1L)
    private CostoTotaleMensileLordo costoTotale

  Costo totale mensile lordo.

Constructor Detail

### NuovoDipendenteRequest

    public NuovoDipendenteRequest()

Method Detail

### setNumMatricola

    public void setNumMatricola(long numMatricola)

### getNumMatricola

    public long getNumMatricola()

### setDatiAnagrafici

    public void setDatiAnagrafici(DatiAnagraficiDipendente datiAnagrafici)

### getDatiAnagrafici

    public DatiAnagraficiDipendente getDatiAnagrafici()

### setDataPubblicoImpiego

    public void setDataPubblicoImpiego(java.lang.String dataPubblicoImpiego)

### getDataPubblicoImpiego

    public java.lang.String getDataPubblicoImpiego()

### setDataNominaRuoloRegionale

    public void setDataNominaRuoloRegionale(java.lang.String dataNominaRuoloRegionale)

### getDataNominaRuoloRegionale

    public java.lang.String getDataNominaRuoloRegionale()

### setDatiRapportoLavoro

    public void setDatiRapportoLavoro(DatiRapportoLavoro datiRapportoLavoro)

### getDatiRapportoLavoro

    public DatiRapportoLavoro getDatiRapportoLavoro()

### setDatiSedeDiLavoro

    public void setDatiSedeDiLavoro(DatiSedeLavoro datiSedeDiLavoro)

### getDatiSedeDiLavoro

    public DatiSedeLavoro getDatiSedeDiLavoro()

### setDatiInquadramentoContrattuale

    public void setDatiInquadramentoContrattuale(DatiInquadramentoContrattuale datiInquadramentoContrattuale)

### getDatiInquadramentoContrattuale

    public DatiInquadramentoContrattuale getDatiInquadramentoContrattuale()

### getElencoTitoliDiStudio

    public ElencoTitoloDiStudio getElencoTitoliDiStudio()

### setElencoTitoliDiStudio

    public void setElencoTitoliDiStudio(ElencoTitoloDiStudio elencoTitoliDiStudio)

### getElencoSpecializzazioni

    public ElencoSpecializzazione getElencoSpecializzazioni()

### setElencoSpecializzazioni

    public void setElencoSpecializzazioni(ElencoSpecializzazione elencoSpecializzazioni)

### getCostoTotale

    public CostoTotaleMensileLordo getCostoTotale()

### setCostoTotale

    public void setCostoTotale(CostoTotaleMensileLordo costoTotale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD